/* This is an autogenerated file from sme__sap_remote_sme_interface_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __SYS_SAP_REMOTE_OUTPUT_INTERFACE_GEN_H__
#define __SYS_SAP_REMOTE_OUTPUT_INTERFACE_GEN_H__

#include "abstractions/osa.h" 
#ifdef IPC_IP
#include "ipc/ipc.h" 
extern ipcConnection* get_sys_ipc_connection(FsmContext* context);
#else
#ifdef IPC_CHARDEVICE
#include "ipc/ipc.h" 
extern ipcConnection* get_sys_ipc_connection(FsmContext* context);
#endif
#endif

#ifdef REMOTE_SYS_SAP
extern Boolean remote_sys_signal_receive(FsmContext* context, uint8* buffer, uint16 size);
#else
#define remote_sys_signal_receive(context, buffer, size) FALSE
#endif


#endif /* __SYS_SAP_REMOTE_OUTPUT_INTERFACE_GEN_H__ */

#ifdef __cplusplus
}
#endif
